Description

Hi,

I'm aware of #5196, but my scenario looks different - the folks want saved searches with criteria for Parent Tasks.

Ultimately, it should allow matching against the following:

empty (=no parent),

non-empty (=has a parent),

exact number match (parent id  equal to),

parent summary equal to string

parent summary contains/does not string.

Comments please?

Related issues:

Is duplicate of Redmine - Feature #6397: Add Parent Task field as a sort crit... Closed 2010-09-15

Is duplicate of Redmine - Feature #6118: Filter by parent task or subtasks Closed 2010-08-12

History

#1 - 2011-11-21 04:58 - Mischa The Evil

The description seems to fully match with issue #6397 (which has a better subject imho). Also consider the already requested "parent task filter" in

issue #6118.

Can you confirm so we can close this issue as a duplicate of one of them?

#2 - 2011-11-21 05:10 - Victor Dulepov

I think yes they should be merged, so you can close this one as a dupe of #6118.

BTW, the parent task should also get into the "Group results by" dialog under "Options". And I didn't manage to see it as a feature request under the

already-reported issues so I doubt it automatically will? :)

#3 - 2011-11-21 06:33 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Victor Dulepov wrote:

I think yes they should be merged, so you can close this one as a dupe of #6118.

 Will do, please be aware that both are different issues describing different things. But I think that #6397 gets implemented along with a solution for 

#6118.

BTW, the parent task should also get into the "Group results by" dialog under "Options". And I didn't manage to see it as a feature request under

the already-reported issues so I doubt it automatically will? :)

 See #6116 / #5325.
